<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 11/24/15
 * Time: 12:53 PM
 */

namespace app\Http\Business\Cameras;


use App\Http\DBO\CamerasDbo;
use app\Http\DBO\CamerasImageDbo;

abstract class AbstractCamera
{
    /**
     * @var CamerasDbo
     */
    protected $_camera;

    public function __construct(CamerasDbo $camera)
    {
        $this->_camera = $camera;
    }

    /**
     * @return CamerasImageDbo
     */
    public abstract function getImage();
}